/ lang / isboolean
IsBoolean
Syntax

    Result = IsBoolean ( vExpression ) AS Boolean
    Result = Boolean? ( vExpression ) AS Boolean

Returns TRUE if the vExpression is Boolean.

### Examples

    PRINT IsBoolean(FALSE), IsBoolean((1 > 0) AND (2 > 1)), IsBoolean(IsBoolean("no matter what"))
    <hr>True    True    True

    PRINT IsBoolean(-1), IsBoolean(NULL)
    <hr>False   False

### See also

Datatype Functions